package com.hc.model.FJYD;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.List;

public class AuthResponseUrl implements Parcelable{

    /**
     * mediacode : 661 //媒体文件内部id（有别与C2接口movie的code）
     * bitrate : ["2048"]   //媒体文件码率，单位kbps
     * cp :   //媒体文件归属cp
     * playurl : http://183.50.238.19/88888888/16/20171107/268435470/268435470.mp4?rrsip=112.50.238.19,rrsip=112.50.238.19,rrsip=112.50.238.19&zoneoffset=0&servicetype=0&icpid=&accounttype=1&limitflux=-1&limitdur=-1&accountinfo=w4X1PW1m05Im3ILhOaRth5hOM9tpf3BAkFnYnCBzZ%2Fzy93juh0Iots5z6UWE9VFx6XdqhiVnBzabe9uDvl8RGbou7hzP5QFu7%2F6NbolrXeQ%3D3bfab1f0bbefeb852bab846bf34a7b6a%3A20180124153303%2C7040027%2C10.72.48.187%2C20180124153303%2C00000062201705271002120028799574%2C1000131878%2C0.0%2C1%2CVOD%2C%2C1%2C1%2C20001%2C%2C659%2C1%2CEND&GuardEncType=2&it=H4sIAAAAAAAAADWOwQ6CMBBE_6bHhiLGU08YExNTTUCvZm2X2rBQbIHEv9ei3HYm72V2DKDxuJcs4kt5mTMNRK63yptU36ryLjJe7LjY5FwUW1Yn4UBgZbawauoeGKRYxQrD7DRKExs-Q-RgbUALo_M9vxC8r4H-CMN6HR_TUUNsU3hCLH03QEBz8nZhZAMUkQ2gW7CooEPZT0Q_7xzM94EPNMYnjMkAAAA
     */

    private String mediacode; //媒体文件内部id（有别与C2接口movie的code）
    private String cp; //媒体文件归属cp
    private String playurl;  //内容播放url
    private List<String> bitrate;  //媒体文件码率，单位kbps

    public String getMediacode() {
        return mediacode;
    }

    public void setMediacode(String mediacode) {
        this.mediacode = mediacode;
    }

    public String getCp() {
        return cp;
    }

    public void setCp(String cp) {
        this.cp = cp;
    }

    public String getPlayurl() {
        return playurl;
    }

    public void setPlayurl(String playurl) {
        this.playurl = playurl;
    }

    public List<String> getBitrate() {
        return bitrate;
    }

    public void setBitrate(List<String> bitrate) {
        this.bitrate = bitrate;
    }


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.mediacode);
        dest.writeString(this.cp);
        dest.writeString(this.playurl);
        dest.writeStringList(this.bitrate);
    }

    public AuthResponseUrl() {
    }

    protected AuthResponseUrl(Parcel in) {
        this.mediacode = in.readString();
        this.cp = in.readString();
        this.playurl = in.readString();
        this.bitrate = in.createStringArrayList();
    }

    public static final Creator<AuthResponseUrl> CREATOR = new Creator<AuthResponseUrl>() {
        @Override
        public AuthResponseUrl createFromParcel(Parcel source) {
            return new AuthResponseUrl(source);
        }

        @Override
        public AuthResponseUrl[] newArray(int size) {
            return new AuthResponseUrl[size];
        }
    };
}
